JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class Advapi32Util.InfoKey

    java.lang.Object
      com.sun.jna.platform.win32.Advapi32Util.InfoKey

Enclosing class:
  Advapi32Util

    public static class Advapi32Util.InfoKey

extends java.lang.Object

Field Summary
`WinReg.HKEY` `hKey`
`IntByReference` `lpcbSecurityDescriptor`
`IntByReference` `lpcClass`
`char[]` `lpClass`
`IntByReference` `lpcMaxClassLen`
`IntByReference` `lpcMaxSubKeyLen`
`IntByReference` `lpcMaxValueLen`
`IntByReference` `lpcMaxValueNameLen`
`IntByReference` `lpcSubKeys`
`IntByReference` `lpcValues`
`WinBase.FILETIME` `lpftLastWriteTime`

Constructor Summary
`Advapi32Util.InfoKey()`
`Advapi32Util.InfoKey(WinReg.HKEY hKey, int securityDescriptor)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hKey

    public WinReg.HKEY hKey

### lpClass

    public char[] lpClass

### lpcClass

    public IntByReference lpcClass

### lpcSubKeys

    public IntByReference lpcSubKeys

### lpcMaxSubKeyLen

    public IntByReference lpcMaxSubKeyLen

### lpcMaxClassLen

    public IntByReference lpcMaxClassLen

### lpcValues

    public IntByReference lpcValues

### lpcMaxValueNameLen

    public IntByReference lpcMaxValueNameLen

### lpcMaxValueLen

    public IntByReference lpcMaxValueLen

### lpcbSecurityDescriptor

    public IntByReference lpcbSecurityDescriptor

### lpftLastWriteTime

    public WinBase.FILETIME lpftLastWriteTime

Constructor Detail

### Advapi32Util.InfoKey

    public Advapi32Util.InfoKey()

### Advapi32Util.InfoKey

    public Advapi32Util.InfoKey(WinReg.HKEY hKey,
                                int securityDescriptor)

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.